Dancer::Logger::Capture(3pm)

NAME
Dancer::Logger::Capture - Capture dancer logs

VERSION
version 1.3522

SYNOPSIS
    set logger => "capture";

    my $trap = Dancer::Logger::Capture->trap;
    my $logs = $trap->read;

DESCRIPTION
This is a logger class for Dancer which captures all logs to an object.

Its primary purpose is for testing.

  Methods
trap

Returns the Dancer::Logger::Capture::Trap object used to capture and read logs.

EXAMPLE
    use Test::More import => ['!pass'], tests => 2;
    use Dancer;

    set logger => 'capture';

    warning "Danger!  Warning!";
    debug   "I like pie.";

    my $trap = Dancer::Logger::Capture->trap;
    is_deeply $trap->read, [
        { level => "warning", message => "Danger!  Warning!" },
        { level => "debug",   message => "I like pie.", }
    ];

    # each call to read cleans the trap
    is_deeply $trap->read, [];

SEE ALSO
Dancer::Logger, Dancer::Logger::Capture::Trap

AUTHOR
Dancer Core Developers

COPYRIGHT AND LICENSE
This software is copyright (c) 2010 by Alexis Sukrieh.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.